#include <stdio.h>
#include <unistd.h>
#include <sys/stat.h>

/* A test case to test whether stat( "", &statbuf ) and access( "", F_OK )
 * return -1 with errno set to ENOENT.  If the program runs sucessfully,
 * you should never see a "test failed" error message. */

int
main( int argc, char *argv[] )
{
	struct stat statbuf;
	int r;

	r = stat( "", &statbuf );
	printf( "r=%d\n", r );
	if( r != -1 )
	{
		printf( "stat(\"\", &statbuf) test failed\n" );
	}

	r = access( "", F_OK );
	printf( "r=%d\n", r );
	if( r != -1 )
	{
		printf( "access(\"\", F_OK) test failed\n" );
	}

	r = stat( NULL, &statbuf );
	printf( "r=%d\n", r );
	if( r != -1 )
	{
		printf( "stat(NULL, &statbuf) test failed\n" );
	}

	r = access( NULL, F_OK );
	printf( "r=%d\n", r );
	if( r != -1 )
	{
		printf( "access(NULL, F_OK) test failed\n" );
	}

	return 0;
}
